<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

return new class extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('products', function (Blueprint $table) {
            $table
                ->timestamp('deleted_at')
                ->nullable()
                ->after('created_at');
            $table
                ->bigInteger('sale_id')
                ->unsigned()
                ->nullable()
                ->index()
                ->change();
            $table
                ->bigInteger('purchase_id')
                ->unsigned()
                ->nullable()
                ->index()
                ->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('products', function (Blueprint $table) {
            $table->dropColumn('deleted_at');
            $table
                ->bigInteger('sale_id')
                ->unsigned()
                ->index()
                ->change();
            $table
                ->bigInteger('purchase_id')
                ->unsigned()
                ->index()
                ->change();
        });
    }
};
